zile (2.4.13-1) unstable; urgency=medium

  * New upstream release.
    + Add build-aux/install-sh to debian/dh_autoreconf_preserve.
  * Switch multiple URLs in packaging from git:// or http:// to https://
    as suggested by DUCK and lintian.
  * Fix missing blank in debian/upstream/metadata.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Convert debian/copyright to machine-readable DEP5 format and update
    copyright years and file list.
  * Switch to debhelper compat level 10.
    + Drop explicit dh-autoreconf references.
    + Enables parallel building.
    + Bump versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Thu, 20 Oct 2016 03:23:34 +0200

zile (2.4.11-1) unstable; urgency=medium

  * New upstream release
    + Fixes memory leak (Closes: #740125)
    + Add pkg-config as build-dependency
  * Apply wrap-and-sort.
  * Remove override for dh_installchangelogs. Was only necessary for one
    day due to a bug in debhelper. See #711131.
  * Remove lintian override for spelling-error-in-binary false
    positive. It's no more triggered.
  * Use dh-autoreconf.
    + Add according build-dependency.
    + Save and restore additional files modified bu running autoreconf.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Add a debian/upstream/metadata file according to DEP-12.
  * debian/watch: Check upstream GPG signature
    + Add upstream signing key as debian/upstream/signing-key.asc

 -- Axel Beckert <abe@debian.org>  Sat, 01 Mar 2014 03:49:16 +0100

zile (2.4.9-2) unstable; urgency=low

  * Add "export V=1" to debian/rules so the real compiler commands aren't
    hidden from the build log and blhc can do its work.
  * Add patch to refer to compressed FAQ file in Zile's startup screen.
  * Add some more files which are generated or modified to debian/clean
    and extend-diff-ignore in debian/source/options
  * Add lintian override for false positive spelling-error-in-binary
  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Sat, 04 May 2013 12:07:38 +0200

zile (2.4.9-1) experimental; urgency=low

  * New upstream release
    + Fixes FTBFS with eglibc-2.17 (Closes: #701421)
    + Add new build-dependency on libgc-dev
    + Installs dotzile.sample in docdir (Closes: #691481)
  * Adopt the package. (Closes: #705816) Thanks for your work, Nicolas!
    + Update debian/copyright.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump debhelper-compatibility to 9 and switch to dh7 style debian/rules:
    + Update version build-dependency on debhelper.
    + Switch to using dh_auto_{configure,build,install,clean}
    + Switch from inline file lists to debian/{docs,clean} file lists
    + Finally switch the normalized debian/rules to dh7 style
  * No more remove *-stamp files manually (done by dh_clean already)
  * Add tests/interactive/mark-word.input-emacs and config.log to
    debian/clean as they're occassionally left over.
  * Ignore modified zile.1.in files in diff.
  * Run test suite at build time
    + Pipe its output through "cat -v" to prevent binary garbage in the
      log or on the terminal.
    + Pass --without-emacs to configure to prevent also running the test
      suite against installed Emacsen.
  * Switch to source format "3.0 (quilt)".
  * Add Vcs-* headers
  * Remove files .topdeps and .topmsg from source package which sneaked in
    with 2.3.12-1.
  * Fix the following lintian warnings:
    + debian-rules-missing-recommended-target
    + copyright-refers-to-symlink-license

 -- Axel Beckert <abe@debian.org>  Mon, 22 Apr 2013 01:10:58 +0200

zile (2.3.21-2) unstable; urgency=low

  * Orphaning this package.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 20 Apr 2013 15:27:33 +0200

zile (2.3.21-1) unstable; urgency=low

  * New upstream release (closes: #602580)
  * Install the real upstream changelog as /usr/share/doc/zile/changelog.gz.
    (closes: #614702)

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 25 Feb 2011 09:38:52 +0100

zile (2.3.18-1) unstable; urgency=low

  * New upstream release.
  * Bumped Debian policy compliance declaration to 3.9.1 (nothing to do).

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 29 Jul 2010 17:36:06 +0200

zile (2.3.15-1) unstable; urgency=low

  * New upstream release.
  * Added ${misc:Depends} in binary package dependency list.
  * Bumped Debian policy compliance to 3.8.4 (no change required)

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 10 May 2010 13:40:34 +0200

zile (2.3.13-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 07 Nov 2009 18:21:34 +0100

zile (2.3.12-1) unstable; urgency=low

  * New upstream release 2.3.12.
  * Package is compliant with Debian policy 3.8.3 without changes.
  * Updated README.Debian file.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 04 Oct 2009 17:09:49 +0200

zile (2.3.6-2) unstable; urgency=low

  * Removed obsolete call to install-info in install scripts (closes: 530260)

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 10 Apr 2009 22:35:06 +0200

zile (2.3.6-1) unstable; urgency=low

  * New upstream release (closes: #522836, #522841)
  * Removed uneeded build dependency on lua.

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 10 Apr 2009 21:32:56 +0200

zile (2.3.4-1) unstable; urgency=low

  * New upstream release. (closes: #511217)
  * Updated build-dependencies (added help2man and lua).
  * Updated Debian policy compliance declaration to 3.8.1; nothing to do.
  * No longer need the /usr/share/info directory since info page is no
    longer included.
  * Upstream NEWS file now included in /usr/share/doc/zile.
  * No more HELP or TUTORIAL files in /usr/share/doc/zile.
  * Updated copyright file.
  * Updated build dependencies: added lua5.1, removed texinfo.
  * Maintainer scripts now exit on error.
  * Now using debhelper compat level 7. Using dh_prep instead of
    dhclean -k as a consequence.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 29 Mar 2009 16:05:42 +0200

zile (2.2.59-2) unstable; urgency=low

  * Integrated upstream patch for a bug on killring (closes: 486306)

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 10 Aug 2008 16:00:29 +0200

zile (2.2.59-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright file for new copyright holder (FSF) and new
    license (GPL3).
  * Updated watch and control file for new upstrean location.
  * Info manual now installed in section 'Editors' (closes: #479038)

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 15 May 2008 10:56:25 +0200

zile (2.2.56-1) unstable; urgency=low

  * New upstream release. (closes: #467296)
  * Debian policy compliance upgraded to 3.7.3. (nothing to do)
  * Removed changelog entry for 2.2.30-2. It was never released.
  * Updated copyright year in copyright file to 2008.

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 18 Apr 2008 21:58:38 +0200

zile (2.2.52-1) unstable; urgency=low

  * New upstream release.
  * Added a Homepage entry in control file.

 -- Nicolas Duboc <nduboc@debian.org>  Tue, 20 Nov 2007 11:31:56 +0100

zile (2.2.41-1) unstable; urgency=low

  * New upstream release.
  * Documented in NEWS.Debian the renaming of Zile variables that may
    affect config files
  * Corrected the NEWS.Debian file to make it compliant with the changelog
    file format.
  * Updated the menu entry to respect the new Debian menu hierarchy.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 15 Sep 2007 15:35:53 +0200

zile (2.2.39-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Tue, 17 Jul 2007 11:42:58 +0200

zile (2.2.37-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Wed, 04 Jul 2007 11:41:40 +0200

zile (2.2.34-1) unstable; urgency=low

  * New upstream release (closes: #427256)

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 23 Jun 2007 15:40:46 +0200

zile (2.2.31-1) unstable; urgency=low

  * New upstream release

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 23 Apr 2007 13:00:27 +0200

zile (2.2.30-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 15 Apr 2007 15:19:13 +0200

zile (2.2.29-1) experimental; urgency=low

  * New upstream release.
  * Updated copyright file.

 -- Nicolas Duboc <nduboc@debian.org>  Wed, 14 Feb 2007 13:19:53 +0100

zile (2.2.28-1) experimental; urgency=low

  * New upstream release.
  * Improved package description and info entry title (closes: #405541)
	
 -- Nicolas Duboc <nduboc@debian.org>  Sun, 21 Jan 2007 15:56:54 +0100

zile (2.2.24-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 30 Nov 2006 18:40:04 +0100

zile (2.2.22-3) unstable; urgency=low

  * Removed alternative for emacs (closes: #398761, #398858)

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 29 Sep 2006 13:18:53 +0200

zile (2.2.22-2) unstable; urgency=low

  * Zile is now an emacs alternative with priority 12 (closes: #387164)

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 29 Sep 2006 12:57:57 +0200

zile (2.2.22-1) unstable; urgency=low

  * New upstream release
    - preserve file permissions on save (closes: #386863)
    - added warnings in doc about change of config file format
      (closes: #385977)

 -- Nicolas Duboc <nduboc@debian.org>  Wed, 27 Sep 2006 13:44:01 +0200

zile (2.2.18-1) unstable; urgency=low

  * New upstream release
    - indentation/tabulation system has been reworked (closes: #375853)
  * Debian policy compliance upgraded to 3.7.2 (nothing to do)
  * Fixed watch file to only consider plain releases.

 -- Nicolas Duboc <nduboc@debian.org>  Fri, 25 Aug 2006 17:34:59 +0200

zile (2.2.13-1) unstable; urgency=low

  * New upstream release.
  * Added a watch file.

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 16 Mar 2006 15:06:20 +0100

zile (2.2.12-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Mon,  6 Feb 2006 21:17:35 +0100

zile (2.2.9-1) unstable; urgency=low

  * New upstream release
    (includes a workaround for gnome-terminal which does not implement all
    xterm control sequences. bug #337014)

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 21 Nov 2005 21:22:25 +0100

zile (2.2.8-1) unstable; urgency=low

  * New upstream release (closes: #299611).

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 25 Sep 2005 17:23:30 +0200

zile (2.2.2-1) unstable; urgency=low

  * New upstream release. (closes: #309815, #309816)
  * Debian policy compliance upgraded to 3.6.2.
  * Reworked the README.Debian file into NEWS.Debian (better for
    notification of change of config file format in this version).
  * Fixed a typo in acinclude.m4 which may affect cross-compilation
     (submitted by Christian Weisgerber on upstream mailing-list)
  * Capitalized menu entry.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 23 Jul 2005 15:24:49 +0200

zile (2.0.4-2) unstable; urgency=critical

  * Fixed a buffer overrun bug in terminal code.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 22 May 2005 19:35:59 +0200

zile (2.0.4-1) unstable; urgency=medium

  * New upstream release
    - bugfix for backup directory feature (closes: #303152)
      This fixes a potential save of a file in the wrong directory which
      may be a security problem (justify the medium urgency).
    - bugfix for arrow key handling in xterm (closes: #298424)

 -- Nicolas Duboc <nduboc@debian.org>  Tue, 12 Apr 2005 13:44:10 +0200

zile (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 28 Feb 2005 09:48:47 +0100

zile (2.0.1-1) unstable; urgency=low

  * New upstream release. (closes: #296106)
  * Removed the double-sprintf patch which is included upstream.

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 17 Feb 2005 14:34:49 +0100

zile (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Removed beta warning from README.Debian.
  * Changed first sentence of package long description.
  * Added upstream homepage URL in description.
  * Fixed a double sprintf in minibuf.c which may correct a crash on amd64
    (see #294072).

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 10 Feb 2005 13:55:32 +0100

zile (2.0beta10-1) unstable; urgency=low

  * New upstream release (closes: #290861, #284354, #290781).
  * debian/rules: now install THANKS file and no longer TODO and KNOWBUGS.
  * Updated copyright file.
  * Vasprintf patch is now included upstream.
  * README.Debian: documented removed config variables
  * added links in /usr/share/doc/zile for TUTORIAL, FAQ and HELP files

 -- Nicolas Duboc <nduboc@debian.org>  Wed, 2 Feb 2005 15:00:16 +0100

zile (1.7beta3-3) unstable; urgency=medium

  * Disabled all edition modes (closes: #270612)
    (see README.Debian)
  * Updated README.Debian.

 -- Nicolas Duboc <nduboc@debian.org>  Fri,  1 Oct 2004 09:14:03 +0200

zile (1.7beta3-2) unstable; urgency=low

  * Patched vasprintf implementation to compile on s390
    (replaced a va_list assigment by a va_copy call)

 -- Nicolas Duboc <nduboc@debian.org>  Mon, 16 Aug 2004 22:33:30 +0200

zile (1.7beta3-1) unstable; urgency=low

  * New upstream release
    - now correctly honor auto-fill-mode in text-mode (closes: #222305)
    - no longer segfaults on completion in mini-buffer (closes: #217860)
  * Maintainer address changed to my new debian address
  * Removed the fourth part of Debian policy version in control file
  * Added dependency on tetex-bin and tetex-extra
  * Adaptation of rules file for new way to configure all modes
  * Added quotes in debian/menu file
  * Updated copyright file :
    - added new author David A. Capello
    - changed license from BSD to GPL

 -- Nicolas Duboc <nduboc@debian.org>  Thu, 12 Aug 2004 15:57:41 +0200

zile (1.7beta2-1) experimental; urgency=low

  * upstream release of a beta version
    - bug fix on auto-fill-mode (closes: # 204826)
    - bug fix on invalid working directory (closes: #213003)
  * Debian policy compliance upgraded to 3.6.1.0
  * zile now build-depends on gperf
  * all special modes enabled at compile-time (c, c++, shell, csharp,
    java, mail)
  * removed compilation warnings :
     - src/funcs.c: added return code to dummy functions
     - src/Makefile.in: added parameter to gperf calls for needed headers
       inclusion
  * small fixes to doc/Makefile.in for clean and distclean targets
  * new README.Debian file explaining experimental status of this package
    and compilation choices
  * updated debian/copyright
	
 -- Nicolas Duboc <nicolas@duboc.net>  Sun, 16 Nov 2003 15:43:08 +0100

zile (1.6.2-1) unstable; urgency=low

  * New maintainer (closes: Bug#186597)
  * New upstream release :
     - compiles on GNU/Hurd (no more use of PATH_MAX) (closes: Bug#147843),
     - bug fix for cursor position on multiple windows (closes: Bug#189262),
     - bug fix on undo mechanism related to overwrite mode (closes: Bug#148139)
  * made some changes to debian/rules : now has an install target for
    temporary build directory installation
  * complies with Debian Policy 3.5.9.0 (debugging symbols are provided in
    built binaries)
  * removed some harmful compilation warnings :
     - src/fontlock_*.c have been regenerated with a more recent version
       of gperf.
     - added some missing #includes
     - replaced tmpnam uses with mkstemp
	
 -- Nicolas Duboc <nicolas@duboc.net>  Thu,  8 May 2003 17:58:22 +0200

zile (1.6.1-2) unstable; urgency=low

  * fixed call to update-alternatives to use /usr/share/man/... instead of
    /usr/share/man/... (closes: Bug#122084)

 -- Carsten Leonhardt <leo@debian.org>  Sun,  2 Dec 2001 22:42:06 +0100

zile (1.6.1-1) unstable; urgency=low

  * new upstream release
  * complies with standards version 3.5.6.0

 -- Carsten Leonhardt <leo@debian.org>  Mon, 20 Aug 2001 17:58:40 +0200

zile (1.6-1) unstable; urgency=low

  * new upstream release
    includes "search & replace" functionality (closes: Bug#64016)
  * complies with standards version 3.5.5.0

 -- Carsten Leonhardt <leo@debian.org>  Thu,  2 Aug 2001 12:57:56 +0200

zile (1.5.1-1) unstable; urgency=low

  * new upstream release (closes: Bug#101949)
    zile 1.5 had an "annoying minibuf filename completion bug"
  
 -- Carsten Leonhardt <leo@debian.org>  Mon,  2 Jul 2001 18:22:16 +0200

zile (1.4-1) unstable; urgency=low

  * new upstream release
    for details refer to changelog.gz
  * complies with standards version 3.5.0.0

 -- Carsten Leonhardt <leo@debian.org>  Thu,  1 Feb 2001 01:09:31 +0100

zile (1.3-1) unstable; urgency=low

  * new upstream release
    protected against symlink attack (closes: Bug#74441)

 -- Carsten Leonhardt <leo@debian.org>  Fri, 17 Nov 2000 01:44:32 +0100

zile (1.1-1) unstable; urgency=low

  * new upstream release
    includes "goto-line" function (closes: Bug#64017)
    includes "search again" functionality (closes: Bug#64015)
  * removed README.Debian (which explained that the author is inactive)

 -- Carsten Leonhardt <leo@debian.org>  Thu, 14 Sep 2000 15:11:04 +0200

zile (1.0a5-7) unstable; urgency=low

  * defer initialisation of the terminal (i.e. ncurses) until after
    potential help/error messages have been displayed
  * protect from stupidly set HOME
  * make errors parsing .zilerc visible
  * in src/minibuf.c:minibuf_format(): fix check against buffer overflow
    (closes: Bug#68432)

 -- Carsten Leonhardt <leo@debian.org>  Mon,  7 Aug 2000 15:07:09 +0200

zile (1.0a5-6) unstable; urgency=low

  * Added README.Debian
  * fixed segfault when pressing C-s PageUp/Down (closes: Bug#64010)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 14 May 2000 03:20:11 +0200

zile (1.0a5-5) unstable; urgency=low

  * "make distclean" now works in src/term_ncurses/ too
  * rewrote the function ncurses_init in file
    src/term_ncurses/ncurses_misc.c (closes: Bug#58740)
    Thanks to Falk Hueffner <falk@debian.org> for hinting at
    use_default_colors()

 -- Carsten Leonhardt <leo@debian.org>  Sat, 25 Mar 2000 03:33:31 +0100

zile (1.0a5-4) frozen unstable; urgency=low

  * Adopted the package
  * Link against libncurses5
  * Comply with standards version 3.1.1
  * Incorporate the patch by Christian Meder (from the NMU below)
    (closes: Bug#32566)
  * register as alternative for "editor"
    (closes: Bug#44725)
  * Incorporate patch by Josh Cogliati <jjc@rupert.montana.edu> (from
    Bug report #46957) that sets the background to black (closes:
    Bug#46957, Bug#27023)

 -- Carsten Leonhardt <leo@debian.org>  Sun,  6 Feb 2000 19:00:42 +0100

zile (1.0a5-3.1) frozen unstable; urgency=low

  * non maintainer, sparc only upload
  * fix initializer not constant bug with glibc2.1

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Fri, 22 Jan 1999 01:45:31 +0100

zile (1.0a5-3) frozen unstable; urgency=low
  
  * Link against libncurses4.

 -- Joel Klecker <espy@debian.org>  Fri, 23 Oct 1998 08:38:00 -0700

zile (1.0a5-2) unstable; urgency=low

  * Removed dh_du from debian/rules.
  * Changed conditional in debian/rules to look for config.status
    instead of config.cache.
  * Fixed debian/postinst so that the info description makes more sense.

 -- Joel Klecker <jk@espy.org>  Sun, 8 Mar 1998 11:19:52 -0800

zile (1.0a5-1) unstable; urgency=low

  * Initial Release.

 -- Joel Klecker <jk@espy.org>  Wed, 21 Jan 1998 23:01:08 -0800
